summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-dicts/myspell-en/myspell-en-20190101-r1.ebuild57
-rw-r--r--dev-libs/hyphen/hyphen-2.8.8-r1.ebuild34
-rw-r--r--dev-python/aiohttp/Manifest1
-rw-r--r--dev-python/aiohttp/aiohttp-3.4.4.ebuild5
-rw-r--r--dev-python/aiohttp/aiohttp-3.5.4.ebuild80
-rw-r--r--dev-python/async_generator/async_generator-1.10.ebuild9
-rw-r--r--dev-python/async_generator/metadata.xml3
-rw-r--r--dev-python/async_timeout/Manifest1
-rw-r--r--dev-python/async_timeout/async_timeout-3.0.1.ebuild38
-rw-r--r--dev-python/async_timeout/metadata.xml9
-rw-r--r--dev-python/blockdiag/Manifest1
-rw-r--r--dev-python/blockdiag/blockdiag-1.5.4.ebuild62
-rw-r--r--dev-python/brotlipy/brotlipy-0.7.0.ebuild4
-rw-r--r--dev-python/funcparserlib/funcparserlib-0.3.6-r1.ebuild30
-rw-r--r--dev-python/pytest-aiohttp/pytest-aiohttp-0.3.0.ebuild2
-rw-r--r--dev-python/sphinx-aiohttp-theme/Manifest1
-rw-r--r--dev-python/sphinx-aiohttp-theme/sphinx-aiohttp-theme-0.1.5.ebuild25
-rw-r--r--dev-python/sphinx-testing/Manifest1
-rw-r--r--dev-python/sphinx-testing/sphinx-testing-1.0.1.ebuild33
-rw-r--r--dev-python/sphinxcontrib-asyncio/sphinxcontrib-asyncio-0.2.0-r2.ebuild2
-rw-r--r--dev-python/sphinxcontrib-blockdiag/metadata.xml3
-rw-r--r--dev-python/sphinxcontrib-blockdiag/sphinxcontrib-blockdiag-1.5.5-r1.ebuild10
-rw-r--r--dev-python/sphinxcontrib-blockdiag/sphinxcontrib-blockdiag-1.5.5-r2.ebuild50
-rw-r--r--dev-python/sphinxcontrib-newsfeed/sphinxcontrib-newsfeed-0.1.4.ebuild2
-rw-r--r--dev-python/sphinxcontrib-spelling/Manifest1
-rw-r--r--dev-python/sphinxcontrib-spelling/metadata.xml3
-rw-r--r--dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-4.3.0.ebuild50
-rw-r--r--dev-python/trustme/trustme-0.5.0.ebuild2
-rw-r--r--dev-python/typing-extensions/Manifest1
-rw-r--r--dev-python/typing-extensions/metadata.xml11
-rw-r--r--dev-python/typing-extensions/typing-extensions-3.7.4.ebuild29
-rw-r--r--media-gfx/gnome-photos/gnome-photos-3.30.1-r1.ebuild (renamed from media-gfx/gnome-photos/gnome-photos-3.30.1.ebuild)0
32 files changed, 540 insertions, 20 deletions
diff --git a/app-dicts/myspell-en/myspell-en-20190101-r1.ebuild b/app-dicts/myspell-en/myspell-en-20190101-r1.ebuild
new file mode 100644
index 000000000000..5ff42d18e24d
--- /dev/null
+++ b/app-dicts/myspell-en/myspell-en-20190101-r1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+MY_PV="${PV:0:4}-${PV:4:2}.${PV:6:2}"
+
+inherit myspell-r2
+
+DESCRIPTION="English dictionaries for myspell/hunspell"
+HOMEPAGE="https://extensions.libreoffice.org/extensions/english-dictionaries"
+SRC_URI="https://extensions.libreoffice.org/extensions/english-dictionaries/${MY_PV}/@@download/file/dict-en-${PV}.oxt"
+
+LICENSE="BSD MIT LGPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE=""
+
+PLOCALES=( "en" "en-AU" "en-CA" "en-GB" "en-US" "en-ZA" )
+IUSE+="${PLOCALES[@]/#/l10n_}"
+REQUIRED_USE="|| ( ${IUSE[@]} )"
+RDEPEND="!<dev-libs/hyphen-2.8.8-r1"
+
+src_prepare() {
+ if use l10n_en-GB || use l10n_en; then
+ MYSPELL_HYPH=( "hyph_en_GB.dic" )
+ fi
+ if use l10n_en-US || use l10n_en; then
+ MYSPELL_HYPH=( "hyph_en_US.dic" )
+ MYSPELL_THES=(
+ "th_en_US_v2.dat"
+ "th_en_US_v2.idx"
+ )
+ fi
+
+ MYSPELL_DICT=( )
+ for lang in "${PLOCALES[@]}"; do
+ if [[ "${lang}" == "en" ]]; then
+ continue
+ fi
+ local mylinguas="${lang//-/_}"
+ if use "l10n_${lang}" || use l10n_en; then
+ MYSPELL_DICT+=( "${mylinguas}.aff" "${mylinguas}.dic" )
+ else
+ rm "README_${mylinguas}.txt" || die
+ if [[ ${lang} == "en-US" ]]; then
+ rm "README_hyph_en_US.txt" || die
+ fi
+ if [[ ${lang} == "en-GB" ]]; then
+ rm "README_hyph_en_GB.txt" || die
+ rm "README_en_GB_thes.txt" || die
+ fi
+ fi
+ done
+
+ default
+}
diff --git a/dev-libs/hyphen/hyphen-2.8.8-r1.ebuild b/dev-libs/hyphen/hyphen-2.8.8-r1.ebuild
new file mode 100644
index 000000000000..185c29e311bc
--- /dev/null
+++ b/dev-libs/hyphen/hyphen-2.8.8-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="ALTLinux hyphenation library"
+HOMEPAGE="http://hunspell.github.io/"
+SRC_URI="mirror://sourceforge/hunspell/${P}.tar.gz"
+
+LICENSE="GPL-2 LGPL-2.1 MPL-1.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux"
+IUSE="static-libs"
+
+RDEPEND="app-text/hunspell"
+DEPEND="${RDEPEND}
+ dev-lang/perl
+"
+
+DOCS=( AUTHORS ChangeLog NEWS README{,.nonstandard,.hyphen,.compound} THANKS TODO )
+
+src_configure() {
+ econf $(use_enable static-libs static)
+}
+
+src_install() {
+ default
+
+ docinto pdf
+ dodoc doc/*.pdf
+
+ rm -r "${ED}"/usr/share/hyphen || die
+ rm "${ED}"/usr/lib*/libhyphen.la || die
+}
diff --git a/dev-python/aiohttp/Manifest b/dev-python/aiohttp/Manifest
index 20cd0e08e64b..b5bd635eeff2 100644
--- a/dev-python/aiohttp/Manifest
+++ b/dev-python/aiohttp/Manifest
@@ -5,3 +5,4 @@ DIST aiohttp-2.3.2.tar.gz 841030 BLAKE2B a291baa1c5e915815ec80ea1cbd8434b31f4098
DIST aiohttp-3.0.6.tar.gz 738111 BLAKE2B 28a3560a7b351ee974db8bbdd372798e01696e66660b6330707c542253c4d8a0405e6e8c2c8ec03c3b0ea8b548516ffb2dfe14b800b5f17e908991244bfd9335 SHA512 43f1b3c2da1bc57ac6e83a01abb3568b71ed5514e9331aaba4b691ff036d2d3e72eeddadd0f2f20608fa1f622a673ce1d4489bced2096ae546a350ad5f438d0d
DIST aiohttp-3.3.0.tar.gz 722307 BLAKE2B 3bf1906e8a518d443a2f1bfff536fe9c4024dd18d12ed791dd4a81cfa3f81260bbbf293ae093086fa45c068f3417bcc797d1ee01e64a890a9427944ac9836760 SHA512 e7dd320abb0d9baa0dd583ce034b2d2dd328aa37750197789207e80eabfaf1e998a58e9aa0a6b98ff213f8c78ca90b85698ac559c57f44ce1b643fc317735a4b
DIST aiohttp-3.4.4.tar.gz 822110 BLAKE2B 808c125f0d826b11d5b333ecfc35ed15cfe5a4f4242df5dd1b1e8edf6502c78d6162ad21e4fb7026294bc7013251a3b55d50c9cf34539b06b32348be2b1627a9 SHA512 968b701b8a19aa445a4af402f4bb38754565e3b80b4248127e5017671c921c370eea63fcec4148b7229ac1a74bb8739f33513abd6cb7fe02f3feddfd3ec1a6b1
+DIST aiohttp-3.5.4.tar.gz 1097647 BLAKE2B 27d3631cf33cc5052deecfeca23f6c052fce344d9a889b0c0c0e68d9dcc19eb56e2ef2496f025c795dea4f906a59ae579ecd489188f8c56bc41255b4f450f4bf SHA512 9bc31457029f7db5bbfe1e213c1f428bf90ac96d83b6d2c8838261a3910ab9f7632a4299618377acb1bed04b0cbb4b4f6d9ee814495c05f210ed9bb4f4c61714
diff --git a/dev-python/aiohttp/aiohttp-3.4.4.ebuild b/dev-python/aiohttp/aiohttp-3.4.4.ebuild
index 2cd4b9b624ed..ec6ebeb0b474 100644
--- a/dev-python/aiohttp/aiohttp-3.4.4.ebuild
+++ b/dev-python/aiohttp/aiohttp-3.4.4.ebuild
@@ -15,6 +15,7 @@ LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
IUSE="doc test"
+RESTRICT="!test? ( test )"
CDEPEND="
>=dev-python/async_timeout-3.0.0[${PYTHON_USEDEP}]
@@ -57,6 +58,8 @@ python_prepare_all() {
sed -e 's:test_compression_brotli:_\0:' \
-e 's:test_feed_eof_no_err_brotli:_\0:' \
-i tests/test_http_parser.py || die
+ # make pytest warnings non-fatal, to unbreak tests
+ sed -i -e '/filterwarnings/d' setup.cfg || die
distutils-r1_python_prepare_all
}
@@ -66,7 +69,7 @@ python_compile_all() {
}
python_test() {
- esetup.py test
+ pytest -vv || die "Tests fail with ${EPYTHON}"
}
python_install_all() {
diff --git a/dev-python/aiohttp/aiohttp-3.5.4.ebuild b/dev-python/aiohttp/aiohttp-3.5.4.ebuild
new file mode 100644
index 000000000000..3b9fe39c93de
--- /dev/null
+++ b/dev-python/aiohttp/aiohttp-3.5.4.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="http client/server for asyncio"
+HOMEPAGE="https://pypi.org/project/aiohttp/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+CDEPEND="
+ >=dev-python/async_timeout-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/attrs-17.3.0[${PYTHON_USEDEP}]
+ dev-python/chardet[${PYTHON_USEDEP}]
+ >=dev-python/multidict-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/yarl-1.0[${PYTHON_USEDEP}]
+ dev-python/idna-ssl[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/typing-extensions[${PYTHON_USEDEP}]' \
+ python3_{5,6})
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/cython[${PYTHON_USEDEP}]
+ doc? (
+ >=dev-python/alabaster-0.6.2[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-asyncio[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-blockdiag[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-newsfeed[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-spelling[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/sphinx-aiohttp-theme[${PYTHON_USEDEP}]
+ )
+ test? (
+ ${CDEPEND}
+ dev-python/async_generator[${PYTHON_USEDEP}]
+ dev-python/brotlipy[${PYTHON_USEDEP}]
+ >=dev-python/pytest-3.4.0[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ www-servers/gunicorn[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="${CDEPEND}"
+
+DOCS=( CHANGES.rst CONTRIBUTING.rst CONTRIBUTORS.txt HISTORY.rst README.rst )
+
+python_prepare_all() {
+ # FIXME
+ rm tests/test_pytest_plugin.py || die
+ sed -i -e 's:test_testcase_no_app:_&:' tests/test_test_utils.py || die
+
+ # remove pointless dep on pytest-cov
+ sed -i -e '/addopts/s/--cov=aiohttp//' pytest.ini || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/async_generator/async_generator-1.10.ebuild b/dev-python/async_generator/async_generator-1.10.ebuild
index 7e17bf06efda..216110e32063 100644
--- a/dev-python/async_generator/async_generator-1.10.ebuild
+++ b/dev-python/async_generator/async_generator-1.10.ebuild
@@ -1,24 +1,27 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-PYTHON_COMPAT=( python3_{5,6} )
+PYTHON_COMPAT=( python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="Making it easy to write async iterators in Python 3.5"
HOMEPAGE="https://github.com/python-trio/async_generator https://pypi.org/project/async_generator/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
LICENSE="|| ( MIT Apache-2.0 )"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
IUSE="test"
+RESTRICT="!test? ( test )"
+
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
DOCS=( README.rst )
python_test() {
- py.test -v || die "tests failed under ${EPYTHON}"
+ pytest -vv || die "tests failed under ${EPYTHON}"
}
diff --git a/dev-python/async_generator/metadata.xml b/dev-python/async_generator/metadata.xml
index 0731896574c4..2b736def6706 100644
--- a/dev-python/async_generator/metadata.xml
+++ b/dev-python/async_generator/metadata.xml
@@ -4,6 +4,9 @@
<maintainer type="person">
<email>zmedico@gentoo.org</email>
</maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
<upstream>
<remote-id type="github">python-trio/async_generator</remote-id>
<remote-id type="pypi">async_generator</remote-id>
diff --git a/dev-python/async_timeout/Manifest b/dev-python/async_timeout/Manifest
index 4757fed8123a..b7d48a754959 100644
--- a/dev-python/async_timeout/Manifest
+++ b/dev-python/async_timeout/Manifest
@@ -2,4 +2,5 @@ DIST async-timeout-1.1.0.tar.gz 7590 BLAKE2B 855a630b1c1be6751ee416a9f394b93b25d
DIST async-timeout-1.2.0.tar.gz 7700 BLAKE2B a658cc80ba0b35d1f79286d8f6edac4aaf84e1bcef680b1ef096f6f9d14873800f948429d00fe09b26e20ab109c676fb1ca838931a83473f59863d490caf2c0e SHA512 81a8d3fd8a6756335ce7ea292afd0ba508ea120482dfc4526017dbf6ee809e6828818653be25dee123e8626fc89cc49cfbcff41748ec950b8797b2bb21f262db
DIST async-timeout-1.2.1.tar.gz 7797 BLAKE2B d8f736423631a2b2c0fb748eb2857e0f9a143af9591ddfae15d42ab13af33196a6624db5b0a705265269ed28c6c15a4e8cfe56143ccedac75a555ae62a82891b SHA512 2072caeb65a74f1a24b59a4ea905ef96d70f8fb117e3dd9c95c1107b1d67ffaa4d76b68f00364049e6e29cdb0a6d247ba0c3638ccd0a8db27bd6ee0f180f9ccb
DIST async-timeout-3.0.0.tar.gz 10803 BLAKE2B 3cee55e523a652c27f73bb3790d3c214f2744ef1ba3e0fe6fee80e5e4172cab808b08513d1beb99e71a36eda0a27d31fcf23e7a1ea0fb4569dc1310fef3557e6 SHA512 17df44da4d6038dcfa30b1394bcffbe9a31470c45fcd20c21da8dbea154fd2d508afafb19ce4da7f65422057e3a141be2bd9171d0a385556814759da0fb0496f
+DIST async-timeout-3.0.1.tar.gz 9724 BLAKE2B f18ae75969b7048469fe22949f25ea25da3fdbf08b98a16b5d5ffe823060a75e6de9ed764727e08d4344c79426e9c89013d49522f20ed62e6fbe912b5c7a8787 SHA512 fd30842671a79edfd52c7350e7fb2120533a6d97b44975f7b071ce2cbde43443bd5bbe1f2ad0ad3ab2156e1987b9e58e0c149b0ecfea8674eb0cb78eee79c986
DIST async_timeout-1.0.0.tar.gz 7554 BLAKE2B a069f79eb25c1b698f688cff482970c60197ac6f22e610fe487e33180644a197961f97e1afc7d6ba86f9250add9c7c72d386b5209b8d99e0518c137246106225 SHA512 b02fa2f9558d23e6e1cc076f8d144dcfee7adeaad67c023ce747c99935c2809e2a2223f72b0a12274f11bacadc9b69a6bc3a2914c305ef05d483dc29908e9c97
diff --git a/dev-python/async_timeout/async_timeout-3.0.1.ebuild b/dev-python/async_timeout/async_timeout-3.0.1.ebuild
new file mode 100644
index 000000000000..c463132c66a6
--- /dev/null
+++ b/dev-python/async_timeout/async_timeout-3.0.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7} )
+
+inherit distutils-r1
+
+MY_P=${PN/_/-}-${PV}
+DESCRIPTION="Timeout context manager for asyncio programs"
+HOMEPAGE="https://github.com/aio-libs/async-timeout"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+S=${WORKDIR}/${MY_P}
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+ )"
+
+python_prepare_all() {
+ # remove pointless dep on pytest-cov
+ sed -i -e '/addopts/d' setup.cfg || die
+ # tests fail due to missing fixture when trying to load this file
+ rm tests/conftest.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/async_timeout/metadata.xml b/dev-python/async_timeout/metadata.xml
index 94ccc65f454f..897d9765df48 100644
--- a/dev-python/async_timeout/metadata.xml
+++ b/dev-python/async_timeout/metadata.xml
@@ -1,11 +1,14 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
+ <maintainer type="person">
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
<upstream>
<remote-id type="pypi">async_timeout</remote-id>
<remote-id type="github">aio-libs/async_timeout</remote-id>
</upstream>
- <maintainer type="person">
- <email>zmedico@gentoo.org</email>
- </maintainer>
</pkgmetadata>
diff --git a/dev-python/blockdiag/Manifest b/dev-python/blockdiag/Manifest
index bf22d0eb2708..3953b0976175 100644
--- a/dev-python/blockdiag/Manifest
+++ b/dev-python/blockdiag/Manifest
@@ -1 +1,2 @@
DIST blockdiag-1.5.3.tar.gz 2704391 BLAKE2B 4d66263d63c73607a9f1e180172be49d25ffd042fb5ab088138dec542a47ee3e68c99442713f32b004ec31ca608686e495d3ec9172f8ab8b074d94d111733144 SHA512 11ff6334d1ae50c103158db6ef9acce76116a17cfb8e0066581c234138f17fabfddd183b154f407fe95dcd414b0054aebdc22682e82a8e7595905f1ee2fd6222
+DIST blockdiag-1.5.4.tar.gz 2693073 BLAKE2B 8a825742b4144667153af00d5e334325f8a3b49823355787dbd577729da8b0fc221ead14ab899ef8aef1800bbc2cdc47f060330bf0a2f2f1bcd055d172d8adbb SHA512 0eef8b3837282ed611e044ee618abca1f799b4a151bc2d7cece140c97ac728b2f3b9a3bb6877d3fed42a74e0173d0cbfd2966521c4dfb21c266975b4062405d2
diff --git a/dev-python/blockdiag/blockdiag-1.5.4.ebuild b/dev-python/blockdiag/blockdiag-1.5.4.ebuild
new file mode 100644
index 000000000000..ae884c40081d
--- /dev/null
+++ b/dev-python/blockdiag/blockdiag-1.5.4.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Generate block-diagram image from text"
+HOMEPAGE="http://blockdiag.com/ https://pypi.org/project/blockdiag/ https://bitbucket.org/blockdiag/blockdiag/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/funcparserlib-0.3.6[${PYTHON_USEDEP}]
+ >=dev-python/pillow-2.2.1[${PYTHON_USEDEP}]
+ dev-python/webcolors[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/configparser[${PYTHON_USEDEP}]' -2)
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/reportlab[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ media-fonts/ja-ipafonts
+ )
+"
+
+PATCHES=( "${FILESDIR}/blockdiag-1.5.3-py2_7-test-fix.patch")
+python_prepare_all() {
+ sed -i -e /build-base/d setup.cfg || die
+ # unnecessary dep
+ sed -i -e '/pep8/d' setup.py || die
+ # disable tests requiring Internet access
+ sed -i -e 's:test_app_cleans_up_images:_&:' \
+ src/blockdiag/tests/test_command.py || die
+ sed -i -e 's:ghostscript_not_found_test:_&:' \
+ src/blockdiag/tests/test_generate_diagram.py || die
+ rm src/blockdiag/tests/diagrams/node_icon.diag || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ esetup.py test
+}
+
+pkg_postinst() {
+ einfo "For additional functionality, install the following optional packages:"
+ einfo " dev-python/reportlab for pdf format"
+ einfo " media-gfx/imagemagick"
+ einfo " wand: https://pypi.org/project/Wand"
+ einfo " Ctypes-based simple MagickWand API binding for Python"
+}
diff --git a/dev-python/brotlipy/brotlipy-0.7.0.ebuild b/dev-python/brotlipy/brotlipy-0.7.0.ebuild
index 8ea258845409..4af02f271a99 100644
--- a/dev-python/brotlipy/brotlipy-0.7.0.ebuild
+++ b/dev-python/brotlipy/brotlipy-0.7.0.ebuild
@@ -3,7 +3,7 @@
EAPI=6
-PYTHON_COMPAT=( python{2_7,3_5,3_6} )
+PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} )
inherit distutils-r1
@@ -44,5 +44,5 @@ src_prepare() {
}
python_test() {
- py.test -v || die "Testing failed"
+ pytest -vv || die "Testing failed"
}
diff --git a/dev-python/funcparserlib/funcparserlib-0.3.6-r1.ebuild b/dev-python/funcparserlib/funcparserlib-0.3.6-r1.ebuild
new file mode 100644
index 000000000000..44bdd4a9935a
--- /dev/null
+++ b/dev-python/funcparserlib/funcparserlib-0.3.6-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Recursive descent parsing library based on functional combinators"
+HOMEPAGE="https://pypi.org/project/funcparserlib/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE=""
+
+RDEPEND=""
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+ cd "${BUILD_DIR}"/lib || die
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ local DOCS=( doc/*.md )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pytest-aiohttp/pytest-aiohttp-0.3.0.ebuild b/dev-python/pytest-aiohttp/pytest-aiohttp-0.3.0.ebuild
index c08cffd23bb9..9e78899cf5fa 100644
--- a/dev-python/pytest-aiohttp/pytest-aiohttp-0.3.0.ebuild
+++ b/dev-python/pytest-aiohttp/pytest-aiohttp-0.3.0.ebuild
@@ -3,7 +3,7 @@
EAPI=6
-PYTHON_COMPAT=( python3_{5,6} )
+PYTHON_COMPAT=( python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="pytest plugin for aiohttp support"
diff --git a/dev-python/sphinx-aiohttp-theme/Manifest b/dev-python/sphinx-aiohttp-theme/Manifest
index 03d16a6d9ccf..090340387646 100644
--- a/dev-python/sphinx-aiohttp-theme/Manifest
+++ b/dev-python/sphinx-aiohttp-theme/Manifest
@@ -1 +1,2 @@
DIST aiohttp-theme-0.1.4.tar.gz 10723 BLAKE2B afc398bb65e69fcc931f214c613f789da07c89bafd26ff207d4c5666edbe323f77c4a6fec09817d4dc6bb1d40e21ddd82f0b7b5c25dc5fe89b8b83c1c423bad7 SHA512 b487c9095a677baf9471b93be5b9cc3a697f62d2674d27ea4a7aee043e5dd75c5543a0e0a2e51c28e36e5bbf324bcb6d06786b31ae3b492ad2f972c6776c40af
+DIST aiohttp-theme-0.1.5.tar.gz 11132 BLAKE2B e405d3a3ccc0d8568ecc42f8891eebe405d2d75cd47e60910f59ebc979da07362d3cbc20833412a462454b2703aa945f491e85c10b206a356545a13cbc07984a SHA512 106a77665d907c45db1fc2c23990eab61cc70f9f373ce7fe0d231f9744efe5dc7119606bcbdf558ceb038edd7e0cb955531fd74c496923038bcfd799bf67616c
diff --git a/dev-python/sphinx-aiohttp-theme/sphinx-aiohttp-theme-0.1.5.ebuild b/dev-python/sphinx-aiohttp-theme/sphinx-aiohttp-theme-0.1.5.ebuild
new file mode 100644
index 000000000000..b6446239067b
--- /dev/null
+++ b/dev-python/sphinx-aiohttp-theme/sphinx-aiohttp-theme-0.1.5.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7} )
+
+inherit distutils-r1
+
+MY_PN="${PN#sphinx-}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Sphinx theme for aiohttp"
+HOMEPAGE="https://github.com/aio-libs/aiohttp-theme"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE=""
+
+RDEPEND="dev-python/sphinx[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+S="${WORKDIR}/${MY_P}"
diff --git a/dev-python/sphinx-testing/Manifest b/dev-python/sphinx-testing/Manifest
index d12617ea8406..df086e6c0f27 100644
--- a/dev-python/sphinx-testing/Manifest
+++ b/dev-python/sphinx-testing/Manifest
@@ -1 +1,2 @@
DIST sphinx-testing-0.7.2.tar.gz 11040 BLAKE2B 503e38eabfe8dbe28942f9165a83db2dec0f9ac52e1e55f7298848b7a6b55244e1b5623bfda7f4e1380eab16ef81cf51c6bc11e919a8b45506f17759ae0ee181 SHA512 d267c74d97443db2df69914a825da969021e37fc61b8a664ef382504fa826387a95230bf9259b58c6f26721f33985fa2168d2714342a2166b59740cf1b3ad724
+DIST sphinx-testing-1.0.1.tar.gz 11513 BLAKE2B 46ede243507a0d90b2ad4b918deadb818491bb0ed15ce41886040c52650f9fd348ff57c03766fd1e7719bbb54726f8915e091cf94a5396da946102ca49fd07b2 SHA512 2d377c0c6fe8e34a463b35e96938507a3ca35fa06cd19a2682eb55825e1b88982a80a02ebb9a02a47f11ca5e8fe6a5b9e5c8114d955fa3b774e0148e82121818
diff --git a/dev-python/sphinx-testing/sphinx-testing-1.0.1.ebuild b/dev-python/sphinx-testing/sphinx-testing-1.0.1.ebuild
new file mode 100644
index 000000000000..d4cb8e44dbb8
--- /dev/null
+++ b/dev-python/sphinx-testing/sphinx-testing-1.0.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Testing utility classes and functions for Sphinx extensions"
+HOMEPAGE="https://github.com/sphinx-doc/sphinx-testing"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]"
+
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' -2)
+ )"
+
+python_test() {
+ # NB: while tests don't stricly use nose, they rely on some side
+ # effects of using it
+ nosetests -v || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/sphinxcontrib-asyncio/sphinxcontrib-asyncio-0.2.0-r2.ebuild b/dev-python/sphinxcontrib-asyncio/sphinxcontrib-asyncio-0.2.0-r2.ebuild
index 7a46f7473fc7..f68ae6d84125 100644
--- a/dev-python/sphinxcontrib-asyncio/sphinxcontrib-asyncio-0.2.0-r2.ebuild
+++ b/dev-python/sphinxcontrib-asyncio/sphinxcontrib-asyncio-0.2.0-r2.ebuild
@@ -3,7 +3,7 @@
EAPI=6
-PYTHON_COMPAT=( python2_7 python3_{5,6} )
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="sphinx extension to support coroutines in markup"
diff --git a/dev-python/sphinxcontrib-blockdiag/metadata.xml b/dev-python/sphinxcontrib-blockdiag/metadata.xml
index c0b469c17c97..718fa6583747 100644
--- a/dev-python/sphinxcontrib-blockdiag/metadata.xml
+++ b/dev-python/sphinxcontrib-blockdiag/metadata.xml
@@ -4,6 +4,9 @@
<maintainer type="person">
<email>dolsen@gentoo.org</email>
</maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
<upstream>
<maintainer>
<email>i.tkomiya@gmail.com</email>
diff --git a/dev-python/sphinxcontrib-blockdiag/sphinxcontrib-blockdiag-1.5.5-r1.ebuild b/dev-python/sphinxcontrib-blockdiag/sphinxcontrib-blockdiag-1.5.5-r1.ebuild
index fc5d9a3d0f2d..31208c5e314f 100644
--- a/dev-python/sphinxcontrib-blockdiag/sphinxcontrib-blockdiag-1.5.5-r1.ebuild
+++ b/dev-python/sphinxcontrib-blockdiag/sphinxcontrib-blockdiag-1.5.5-r1.ebuild
@@ -7,24 +7,20 @@ PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit distutils-r1
DESCRIPTION="A sphinx extension for embedding block diagrams using blockdiag"
-
HOMEPAGE="https://github.com/blockdiag/sphinxcontrib-blockdiag"
-
SRC_URI="https://github.com/blockdiag/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
-
SLOT="0"
-
KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
-
IUSE=""
-DEPEND="
+COMMON_DEPEND="
dev-python/sphinx[${PYTHON_USEDEP}]
>=dev-python/blockdiag-1.5.0[${PYTHON_USEDEP}]
"
-
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]"
RDEPEND="${DEPEND}
dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]"
diff --git a/dev-python/sphinxcontrib-blockdiag/sphinxcontrib-blockdiag-1.5.5-r2.ebuild b/dev-python/sphinxcontrib-blockdiag/sphinxcontrib-blockdiag-1.5.5-r2.ebuild
new file mode 100644
index 000000000000..a66bb2552775
--- /dev/null
+++ b/dev-python/sphinxcontrib-blockdiag/sphinxcontrib-blockdiag-1.5.5-r2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="A sphinx extension for embedding block diagrams using blockdiag"
+HOMEPAGE="https://github.com/blockdiag/sphinxcontrib-blockdiag"
+SRC_URI="https://github.com/blockdiag/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+COMMON_DEPEND="
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ >=dev-python/blockdiag-1.5.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${COMMON_DEPEND}
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/reportlab[${PYTHON_USEDEP}]
+ dev-python/sphinx-testing[${PYTHON_USEDEP}]
+ )"
+RDEPEND="${COMMON_DEPEND}
+ dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ sed -i -e /build-base/d setup.cfg || die
+ # Those tests are known-broken upstream
+ # https://github.com/blockdiag/sphinxcontrib-blockdiag/pull/11
+ rm tests/test_latex.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/sphinxcontrib-newsfeed/sphinxcontrib-newsfeed-0.1.4.ebuild b/dev-python/sphinxcontrib-newsfeed/sphinxcontrib-newsfeed-0.1.4.ebuild
index f6207761256a..200775feafac 100644
--- a/dev-python/sphinxcontrib-newsfeed/sphinxcontrib-newsfeed-0.1.4.ebuild
+++ b/dev-python/sphinxcontrib-newsfeed/sphinxcontrib-newsfeed-0.1.4.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-PYTHON_COMPAT=( python2_7 python3_{5,6} )
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1
diff --git a/dev-python/sphinxcontrib-spelling/Manifest b/dev-python/sphinxcontrib-spelling/Manifest
index 305cf594b9c9..371c991f5875 100644
--- a/dev-python/sphinxcontrib-spelling/Manifest
+++ b/dev-python/sphinxcontrib-spelling/Manifest
@@ -1,2 +1,3 @@
DIST sphinxcontrib-spelling-2.1.2.tar.gz 35411 BLAKE2B 9738e18664fb68f6f8f7aafb626b6712f7c30947681f6c5ed288dd76c2b24245cb4083887330fc05ef4fdc64756245d997797ae36899c2c762489fff13219a21 SHA512 993f371e064e8748eb61faae649fb293b154a35955ff84d86fd041f4e2cc4c6e22c686007a67c3b63b0c50fc01ed226708f27db347e58847a46ca733c997d51f
DIST sphinxcontrib-spelling-2.3.0.tar.gz 35687 BLAKE2B 9b48f1953616875bd5f0106ab0a01ac22d176b93eca88da7e36804eaf744aaf6e941d3dcb9f905f9bfe54ea51eb5c0d14d954b3def809994e7ba661e09cdb18e SHA512 194023d2c5ba594a264740a2a45ebd90d37fc17fbd3bc8c53fa303581a652c58332f998a159c9c6c58718dd9898c9b4639e98ee114a2ee1e5f2097e545134a1a
+DIST sphinxcontrib-spelling-4.3.0.tar.gz 38316 BLAKE2B 4bfcbfb22c10b5bd181ef5ba7b64815ccaeaa50f01ccff96adab914cfbe6674ce28088e5eb5717b44531565f961b1f159014d235275065070e22d96d08cd4af2 SHA512 0d1575079be7994df905de02d31ad2c9c3af9634a487fbc9c565067fcbef6c36fd4fbd326ccbee4b40b3ff14696ad85a97c68018a956ff3e2f7e1be46bb3a074
diff --git a/dev-python/sphinxcontrib-spelling/metadata.xml b/dev-python/sphinxcontrib-spelling/metadata.xml
index 0269c4fb8409..e91b686e0033 100644
--- a/dev-python/sphinxcontrib-spelling/metadata.xml
+++ b/dev-python/sphinxcontrib-spelling/metadata.xml
@@ -1,6 +1,9 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
<upstream>
<remote-id type="pypi">sphinxcontrib-spelling</remote-id>
<remote-id type="bitbucket">dhellmann/sphinxcontrib-spelling</remote-id>
diff --git a/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-4.3.0.ebuild b/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-4.3.0.ebuild
new file mode 100644
index 000000000000..90e3c702237a
--- /dev/null
+++ b/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-4.3.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx spelling extension"
+HOMEPAGE="https://github.com/sphinx-contrib/spelling"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+COMMON_DEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+ dev-python/pyenchant[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? (
+ ${COMMON_DEPEND}
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ dev-python/testtools[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="${COMMON_DEPEND}
+ dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]
+"
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/build/html/. )
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/trustme/trustme-0.5.0.ebuild b/dev-python/trustme/trustme-0.5.0.ebuild
index bdc3fb22d15c..50fd9fa9611b 100644
--- a/dev-python/trustme/trustme-0.5.0.ebuild
+++ b/dev-python/trustme/trustme-0.5.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="|| ( Apache-2.0 MIT )"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~x86"
IUSE="test"
RDEPEND="dev-python/cryptography[${PYTHON_USEDEP}]
diff --git a/dev-python/typing-extensions/Manifest b/dev-python/typing-extensions/Manifest
new file mode 100644
index 000000000000..02981da7a5c9
--- /dev/null
+++ b/dev-python/typing-extensions/Manifest
@@ -0,0 +1 @@
+DIST typing_extensions-3.7.4.tar.gz 36058 BLAKE2B f9e5efe9a7d51beb683bd4a88d7c1cab247b2c4cfd300131591bd04837dc15af277a8725c04566b9317be577f8f11e330f2d0169b52c3e9f92a8d3140e9e69d0 SHA512 82c15e6e67dde23456c3b01705729804dc21bd2088dee3aa63e53a5e597f474d34b1a37fb16bc5e3497f93d338c0115f49a070621523fb0fa3e994632785c6d9
diff --git a/dev-python/typing-extensions/metadata.xml b/dev-python/typing-extensions/metadata.xml
new file mode 100644
index 000000000000..8fac39f099e5
--- /dev/null
+++ b/dev-python/typing-extensions/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">typing</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/typing-extensions/typing-extensions-3.7.4.ebuild b/dev-python/typing-extensions/typing-extensions-3.7.4.ebuild
new file mode 100644
index 000000000000..84e920351e6a
--- /dev/null
+++ b/dev-python/typing-extensions/typing-extensions-3.7.4.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6} )
+
+inherit distutils-r1
+
+MY_PN=${PN/-/_}
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Type Hint extensions from Python 3.7 backported to 3.5/3.6"
+HOMEPAGE="https://pypi.org/project/typing_extensions/ https://github.com/python/typing"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux ~x64-solaris"
+IUSE=""
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND=""
+
+python_test() {
+ cd "${S}"/src_py3 || die
+ "${EPYTHON}" test_typing_extensions.py -v || die "tests failed under ${EPYTHON}"
+}
diff --git a/media-gfx/gnome-photos/gnome-photos-3.30.1.ebuild b/media-gfx/gnome-photos/gnome-photos-3.30.1-r1.ebuild
index fbe6be92bed9..fbe6be92bed9 100644
--- a/media-gfx/gnome-photos/gnome-photos-3.30.1.ebuild
+++ b/media-gfx/gnome-photos/gnome-photos-3.30.1-r1.ebuild